# Uses of Class
it.tdlight.jni.TdApi.StoryList

## Uses of TdApi.StoryList in it.tdlight.jni

Subclasses of TdApi.StoryList in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.StoryListArchive`
The list of stories, shown in the Arvhive chat list.
`static final class`
`TdApi.StoryListMain`
The list of stories, shown in the main chat list and folder chat lists.
Fields in it.tdlight.jni declared as TdApi.StoryList
Modifier and Type
Field
Description
`TdApi.StoryList`
TdApi.ChatActiveStories.`list`
Identifier of the story list in which the stories are shown; may be null if the stories aren't shown in a story list.
`TdApi.StoryList`
TdApi.LoadActiveStories.`storyList`
The story list in which to load active stories.
`TdApi.StoryList`
TdApi.SetChatActiveStoriesList.`storyList`
New list for active stories posted by the chat.
`TdApi.StoryList`
TdApi.UpdateStoryListChatCount.`storyList`
The story list.
Constructors in it.tdlight.jni with parameters of type TdApi.StoryList
Modifier
Constructor
Description
``
`ChatActiveStories(long chatId, TdApi.StoryList list, long order, int maxReadStoryId, TdApi.StoryInfo[] stories)`
Describes active stories posted by a chat.
``
`LoadActiveStories(TdApi.StoryList storyList)`
Loads more active stories from a story list.
``
`SetChatActiveStoriesList(long chatId, TdApi.StoryList storyList)`
Changes story list in which stories from the chat are shown.
``
`UpdateStoryListChatCount(TdApi.StoryList storyList, int chatCount)`
Number of chats in a story list has changed.